/**
 * A subclass of celestial object describing a physical sun in a 3D space. The sun has the same parameter as the celestial object
 */
class Sun extends CelestialObject {

  //Constructor. The sun can be created with a location, a mass and a texture
  Sun(PVector location_, float mass_, String textureFileName) {

    //calls the constructor of the parent class
    super(location_, mass_, textureFileName);
  }

  //this function displays the sun
  void display() {

    //sets no stroke
    noStroke();

    //translates the location of the system according to location.x, lcoation.y and location.z 
    pushMatrix();
    translate(location.x, location.y, location.z);

    //calls the display function of the parent class
    super.display();
    popMatrix();
  }
}